Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | Properties | List of all members
CSVideoStatistics Class Reference

Video channel common statistics for send and receive. More...

`#import <CSVideoDetails.h>`

Inherits NSObject.

Inherited by CSVideoTransmitStatistics.

## Instance Methods
(NSDictionary *) | - CSPropertyDescriptionForObject:
| To print the description of the object without the newline characters. More...

## Properties
NSUInteger | targetFrameRate
| Target sent/received frame rate in frames per second. More...
NSUInteger | actualFrameRate
| Actual sent/received frame rate in frames per second. More...
NSUInteger | width
| Width of the sent/received video stream. More...
NSUInteger | height
| Height of the sent/received video stream. More...
NSUInteger | jitterBufferSizeMilliseconds
| Actual send/receive side jitter buffer size in milliseconds. More...
NSUInteger | targetBitrate
| Target sent/received bit rate per second. More...
NSUInteger | actualBitrate
| Actual sent/received bit rate per second. More...
NSUInteger | packetCount
| Total number of packets sent/received. More...
NSUInteger | byteCount
| Total number of bytes sent/received. More...
NSUInteger | keyFrameCount
| Number of key frames locally requested (receive direction), or remotely requested (send direction). More...
NSUInteger | packetLossTotal
| Total number of packets lost in transmit/receive direction. More...
NSUInteger | packetLossFraction
| Fraction of packets lost in transmit/receive direction. More...

## Detailed Description

Video channel common statistics for send and receive.

## Method Documentation

- (NSDictionary*) CSPropertyDescriptionForObject: |  | (Class) | cls |

To print the description of the object without the newline characters.

## Property Documentation

- (NSUInteger) actualBitrate
| read nonatomic assign

Actual sent/received bit rate per second.

- (NSUInteger) actualFrameRate
| read nonatomic assign

Actual sent/received frame rate in frames per second.

- (NSUInteger) byteCount
| read nonatomic assign

Total number of bytes sent/received.

- (NSUInteger) height
| read nonatomic assign

Height of the sent/received video stream.

- (NSUInteger) jitterBufferSizeMilliseconds
| read nonatomic assign

Actual send/receive side jitter buffer size in milliseconds.

In VoIP, a jitter buffer is a shared data area where video packets can be collected, stored, and sent to the video processor in evenly spaced intervals. Variations in packet arrival time, called jitter, can occur because of network congestion, timing drift, or route changes. The jitter buffer, which is located at the receiving end of the video connection, intentionally delays the arriving packets so that the end user experiences a clear connection with very little video delays.

- (NSUInteger) keyFrameCount
| read nonatomic assign

Number of key frames locally requested (receive direction), or remotely requested (send direction).

- (NSUInteger) packetCount
| read nonatomic assign

Total number of packets sent/received.

- (NSUInteger) packetLossFraction
| read nonatomic assign

Fraction of packets lost in transmit/receive direction.

- (NSUInteger) packetLossTotal
| read nonatomic assign

Total number of packets lost in transmit/receive direction.

- (NSUInteger) targetBitrate
| read nonatomic assign

Target sent/received bit rate per second.

- (NSUInteger) targetFrameRate
| read nonatomic assign

Target sent/received frame rate in frames per second.

- (NSUInteger) width
| read nonatomic assign

Width of the sent/received video stream.

The documentation for this class was generated from the following file:

- CSVideoDetails.h